### Hierarchy

- EntityForm

## Index

### Constructors

- constructor

### Properties

- data
- dataCopy
- dataJson
- definitions
- definitionsJson
- entity
- language
- relationships
- translateService
- type

### Methods

- parseField
- parseFieldDataArray
- render
- renderFormField
- setData
- setDefinitions
- translate

## Constructors

### constructor

- new EntityForm(): EntityForm

- - Defined in form/entity-form/entity-form.tsx:19

  #### Returns EntityForm

## Properties

### data

data: any

- Defined in form/entity-form/entity-form.tsx:16

### dataCopy

dataCopy: any

- Defined in form/entity-form/entity-form.tsx:10

### dataJson

dataJson: string

- Defined in form/entity-form/entity-form.tsx:17

### definitions

definitions: any

- Defined in form/entity-form/entity-form.tsx:11

### definitionsJson

definitionsJson: string

- Defined in form/entity-form/entity-form.tsx:18

### entity

entity: any

- Defined in form/entity-form/entity-form.tsx:9

### language

language: string

- Defined in form/entity-form/entity-form.tsx:19

### relationships

relationships: any

- Defined in form/entity-form/entity-form.tsx:12

### translateService

translateService: any

- Defined in form/entity-form/entity-form.tsx:13

### type

type: string

- Defined in form/entity-form/entity-form.tsx:14

## Methods

### parseField

- parseField(key: string, field: any): any

- - Defined in form/entity-form/entity-form.tsx:189

  #### Parameters

  - ##### key: string

  - ##### field: any

  #### Returns any

### parseFieldDataArray

- parseFieldDataArray(key: any, fieldData: any): any

- - Defined in form/entity-form/entity-form.tsx:219

  #### Parameters

  - ##### key: any

  - ##### fieldData: any

  #### Returns any

### render

- render(): any

- - Defined in form/entity-form/entity-form.tsx:234

  #### Returns any

### renderFormField

- renderFormField(key: any): any

- - Defined in form/entity-form/entity-form.tsx:39

  #### Parameters

  - ##### key: any

  #### Returns any

### setData

- setData(data: any): Promise<void>

- - Defined in form/entity-form/entity-form.tsx:26

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### setDefinitions

- setDefinitions(data: any): Promise<void>

- - Defined in form/entity-form/entity-form.tsx:31

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### translate

- translate(str: string): any

- - Defined in form/entity-form/entity-form.tsx:35

  #### Parameters

  - ##### str: string

  #### Returns any